import { test } from "@japa/runner"

test.group("GET /", () => {
  test("should succeeds and get hello world", async ({ client }) => {
    // Arrange - Given

    // Act - When
    const response = await client.get("/")

    // Assert - Then
    response.assertStatus(200)
    response.assertBody({
      hello: "world",
    })
  })
})
