import Page from "#app/models/page.ts"
import factory from "@adonisjs/lucid/factories"
import { sanitizePageTitle } from "@repo/wikipedia-game-solver/wikipedia-utils"

export const PageFactory = factory
  .define(Page, async ({ faker }) => {
    return {
      title: sanitizePageTitle(faker.commerce.productName()),
    }
  })
  .relation("internalLinks", () => {
    return []
  })
  .build()
