"use client"

import { Locales } from "./Locales.tsx"
import { SwitchTheme } from "./SwitchTheme.tsx"

export const Header: React.FC = () => {
  return (
    <header className="bg-background dark:bg-background-dark border-gray-darker dark:border-gray-darker-dark sticky top-0 z-50 flex flex-col items-center justify-center gap-4 border-b-2 px-4 py-2">
      <div className="flex w-full items-center justify-between">
        <Locales />
        <SwitchTheme />
      </div>
    </header>
  )
}
